<template>
	<div class="image-viewer">
		<div class="cols">
			<button-close @click.native="resetUrl" />
			<img :src="imageUrl" class="image" alt="Bild" />
		</div>
	</div>
</template>

<script>
import ButtonClose from "@/components/buttons/ButtonClose";
export default {
	name: "ImageViewer",
	components: {ButtonClose},
	props: {
		imageUrl: String
	},
	methods: {
		resetUrl() {
			this.$emit("clicked");
		},
		closeImg(e) {
			if (e.key === "Escape" || e.key === "Esc") {
				this.resetUrl();
			}
		}
	},
	mounted() {
		window.addEventListener("keyup", this.closeImg);
	},
	destroyed() {
		window.removeEventListener("keyup", this.closeImg);
	}
}
</script>

<style scoped>

</style>